<?php header('Content-Type: text/html; charset=utf-8');?>
<?php 


include("cnf.php");?>
<?php include("localsets.php");$queries = new DatabaseFunctions($db5);?>
<?php


if(isset($_POST['tu']) && isset($_POST['lk']) && isset($_POST['da'])
   && !empty(trim($_POST['tu'])) && !empty(trim($_POST['lk'])) && !empty(trim($_POST['da']))){

$us = $_POST['tu'];
$ps = $_POST['lk'];
$ver = $_POST['da'];
$res = json_decode($ver,true);
$res = $res["getresult"];
$data = array();
$datas=-1;    
    
if(!is_null($res) && is_array($res) && ((sizeof($res)) > 0)){
  
    
       $valdataCheck = $queries -> chkusevalstore($us, $ps);
        
       if(!is_null($valdataCheck) && is_array($valdataCheck) && (sizeof($valdataCheck) == 1)){
 
        for($i=0; $i<sizeof($res);$i++){
 
           
       	      if(!is_null($us) && !empty(trim($us)) && 
           !is_null($ps) && !empty(trim($ps)) && 
           !is_null($res[$i]["rowv"]) && !empty(trim($res[$i]["rowv"])) &&
           !is_null($res[$i]["rowi"]) && !empty(trim($res[$i]["rowi"])) &&
           !is_null($res[$i]["nam"]) && 
           !is_null($res[$i]["unit"]) && 
           !is_null($res[$i]["unit2"]) && 
           !is_null($res[$i]["numb"]) && 
           !is_null($res[$i]["box"]) && 
           !is_null($res[$i]["price"]) && 
           !is_null($res[$i]["stut"]) && 
           !is_null($res[$i]["unam"]) && 
           !is_null($res[$i]["price1"]) && 
           !is_null($res[$i]["price2"]) && 
           !is_null($res[$i]["mainid"]) && 
           !is_null($res[$i]["idanbar"]) && 
           !is_null($res[$i]["ptk"]) && 
           !is_null($res[$i]["price3"]) && 
           !is_null($res[$i]["price4"]) && 
           !is_null($res[$i]["pic_path"]) && 
           !is_null($res[$i]["pic"]) && 
           !is_null($res[$i]["kalagroup_nam"]) && 
           !is_null($res[$i]["f_j"]) && 
			!is_null($res[$i]["groupid"]) && 
			!is_null($res[$i]["groupid2"]) && 	 
           !is_null($res[$i]["ver"])
		   ){
            
            
                    if($res[$i]["rowv"] === "3"){
						
						if($queries -> checkforprc_two($us, $ps,$res[$i]["rowi"])){
							
                               $queries -> updateprc_two($res[$i]["nam"],$res[$i]["unit"],$res[$i]["unit2"],$res[$i]["numb"],$res[$i]["box"],$res[$i]["price"],$res[$i]["stut"],$res[$i]["unam"],$res[$i]["price1"],$res[$i]["price2"],$res[$i]["mainid"],$res[$i]["idanbar"],$res[$i]["ptk"],$res[$i]["price3"],$res[$i]["price4"],$res[$i]["pic_path"],$res[$i]["pic"],$res[$i]["kalagroup_nam"],$res[$i]["ver"],$res[$i]["rowi"],$res[$i]["f_j"],$res[$i]["groupid"],$res[$i]["groupid2"],$us, $ps);

                        }
					   
                    }else if($res[$i]["rowv"] === "2"){
            
                       $queries -> addprc_two($res[$i]["nam"],$res[$i]["unit"],$res[$i]["unit2"],$res[$i]["numb"],$res[$i]["box"],$res[$i]["price"],$res[$i]["stut"],$res[$i]["unam"],$res[$i]["price1"],$res[$i]["price2"],$res[$i]["mainid"],$res[$i]["idanbar"],$res[$i]["ptk"],$res[$i]["price3"],$res[$i]["price4"],$res[$i]["pic_path"],$res[$i]["pic"],$res[$i]["kalagroup_nam"],$res[$i]["ver"],$res[$i]["rowi"],$res[$i]["f_j"],$res[$i]["groupid"],$res[$i]["groupid2"],$us, $ps);
            
                    }else if($res[$i]["rowv"] === "1"){
            
                      $queries ->deleteprc_two($us,$ps,$res[$i]["rowi"]);
            
                    }else{
                            continue;
                    }
 
        
                    array_push($data, $res[$i]["rowi"]); 
 
        }			

      }
    
           
      }else{
           
           $datas = -3;
           
       }
}


    
if(sizeof($data) > 0){
   $datas = $data[sizeof($data)-1]; 
}

echo $datas;
    

}else{
    $datas=-13;
    echo $datas;
}

 
?>